package com.jw.app.business.userbase;

import java.util.List;
import java.util.Map;

import com.gaowj.business.exception.BusinessException;
import com.jw.app.business.UserBaseBusiness;

public class UserBaseBusinessImpl implements UserBaseBusiness{
    private UserBaseDAO userBaseDAO;

	public UserBaseDAO getUserBaseDAO() {
		return userBaseDAO;
	}

	public void setUserBaseDAO(UserBaseDAO userBaseDAO) {
		this.userBaseDAO = userBaseDAO;
	}
    
	@Override
	public List<Map<String,Object>> list_userbase_del() throws BusinessException{
		return userBaseDAO.list_userbase_del();
	}
	
	@Override
	public List<Map<String,Object>> list_userbase_leave() throws BusinessException{
		return userBaseDAO.list_userbase_leave();		
	}
	
	@Override
	public int listCount_userbase(Map<String, Object> query) throws BusinessException{
		return userBaseDAO.listCount_userbase(query);	
	}
}
